GCLOUD_AUTH_LOGIN(1)

NAME

gcloud auth login - authorize gcloud to access Google Cloud Platform

SYNOPSIS

gcloud auth login [ACCOUNT] [--no-activate] [--brief] [--enable-gdrive-access] [--force] [--no-launch-browser] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Obtains access credentials for your user account via a web-based authorization flow. When this command completes successfully, it sets the active account in the current configuration to the account specified. If no configuration exists, it creates a configuration named default. If valid credentials for an account are already available from a prior authorization, the account is set to active without rerunning the flow. Use gcloud auth list to view credentialed accounts.

POSITIONAL ARGUMENTS

    [ACCOUNT]
        User account used for authorization.

FLAGS

    --activate
        Set the new account to active. Enabled by default, use --no-activate to disable.

    --brief
        Minimal user output.

    --enable-gdrive-access
        Enable Google Drive access.

    --force
        Re-run the web authorization flow even if the given account has valid credentials.

    --launch-browser
        Launch a browser for authorization. If not enabled or DISPLAY variable is not set, prints a URL to standard output to be copied. Enabled by default, use --no-launch-browser to disable.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.